---
title: "M3 Accountancy Practices & Registered Office Directory | ReguLex UK"
source_url: "https://regulex.uk/directory/postcode/M3"
canonical_url: "https://regulex.uk/directory/postcode/M3"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Statutory compliance registry for postal area M3. Monitoring 217 accountancy practices and 27,496 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://regulex.uk/directory/postcode/M3](https://regulex.uk/directory/postcode/M3)
>
> *Statutory compliance registry for postal area M3. Monitoring 217 accountancy practices and 27,496 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates.*

## Appointed & Monitored Practices in M3

| # | Practice Name & Address | Co-Located Portfolio | Statutory Status | Action |
| :--- | :--- | :--- | :--- | :--- |
| 1 | [AMS ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=16132844) CRN: 16132844 • M3 3HF | 1000 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16132844) |
| 2 | [AMS ACCOUNTING MEDICAL LIMITED](https://regulex.uk/practice/dashboard?crn=09021051) CRN: 09021051 • M3 3HF | 1000 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09021051) |
| 3 | [AMS ACCOUNTS (MCR) LIMITED](https://regulex.uk/practice/dashboard?crn=07662746) CRN: 07662746 • M3 3HF | 1000 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07662746) |
| 4 | [AMS AUDIT LIMITED](https://regulex.uk/practice/dashboard?crn=07766813) CRN: 07766813 • M3 3HF | 1000 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07766813) |
| 5 | [ASSURACC LIMITED](https://regulex.uk/practice/dashboard?crn=12309865) CRN: 12309865 • M3 3HF | 1000 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12309865) |
| 6 | [COLLINS BUSINESS & MANAGEMENT CONSULTANCY LTD](https://regulex.uk/practice/dashboard?crn=09704491) CRN: 09704491 • M3 3HF | 1000 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09704491) |
| 7 | [SND MANCHESTER LTD](https://regulex.uk/practice/dashboard?crn=17230338) CRN: 17230338 • M3 3HF | 1000 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=17230338) |
| 8 | [Y243 LTD](https://regulex.uk/practice/dashboard?crn=13590100) CRN: 13590100 • M3 3HF | 1000 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13590100) |
| 9 | [BH ACCOUNTS LIMITED](https://regulex.uk/practice/dashboard?crn=10660228) CRN: 10660228 • M3 5FS | 813 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10660228) |
| 10 | [FRENKELS CALCULATOR LIMITED](https://regulex.uk/practice/dashboard?crn=08978824) CRN: 08978824 • M3 5FS | 813 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08978824) |
| 11 | [FRENKELS LIMITED](https://regulex.uk/practice/dashboard?crn=04385131) CRN: 04385131 • M3 5FS | 813 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=04385131) |
| 12 | [ON CLOUD 9 ACCOUNTANCY LTD](https://regulex.uk/practice/dashboard?crn=10879925) CRN: 10879925 • M3 5FS | 813 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10879925) |
| 13 | [ROYCE PEELING GREEN LIMITED](https://regulex.uk/practice/dashboard?crn=04816267) CRN: 04816267 • M3 7BG | 526 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=04816267) |
| 14 | [RPG GROUP LIMITED](https://regulex.uk/practice/dashboard?crn=09480860) CRN: 09480860 • M3 7BG | 526 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09480860) |
| 15 | [RPG SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=02705209) CRN: 02705209 • M3 7BG | 526 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=02705209) |
| 16 | [RPG AUDIT SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=04010470) CRN: 04010470 • M3 7BG | 526 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=04010470) |
| 17 | [CLJB LIMITED](https://regulex.uk/practice/dashboard?crn=16555513) CRN: 16555513 • M3 2PJ | 411 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16555513) |
| 18 | [FD DIRECT (NW) LIMITED](https://regulex.uk/practice/dashboard?crn=10174489) CRN: 10174489 • M3 2PJ | 411 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10174489) |
| 19 | [FFT LIMITED](https://regulex.uk/practice/dashboard?crn=04510195) CRN: 04510195 • M3 2PJ | 411 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=04510195) |
| 20 | [KAVALLA LIMITED](https://regulex.uk/practice/dashboard?crn=13438763) CRN: 13438763 • M3 2PJ | 411 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13438763) |
| 21 | [MANNET LIMITED](https://regulex.uk/practice/dashboard?crn=13438777) CRN: 13438777 • M3 2PJ | 411 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13438777) |
| 22 | [SHARJO LTD](https://regulex.uk/practice/dashboard?crn=04954710) CRN: 04954710 • M3 2PJ | 411 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=04954710) |
| 23 | [EVVAT LIMITED](https://regulex.uk/practice/dashboard?crn=10329759) CRN: 10329759 • M3 5JZ | 350 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10329759) |
| 24 | [FINANCIAL AID LIMITED](https://regulex.uk/practice/dashboard?crn=04559164) CRN: 04559164 • M3 5JZ | 350 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=04559164) |
| 25 | [HAROLD SHARP LIMITED](https://regulex.uk/practice/dashboard?crn=08505271) CRN: 08505271 • M33 3SD | 323 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08505271) |
| 26 | [NORMAN AUDIT LTD](https://regulex.uk/practice/dashboard?crn=15898455) CRN: 15898455 • M33 3SD | 323 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15898455) |
| 27 | [LEAVITT WALMSLEY ASSOCIATES LTD](https://regulex.uk/practice/dashboard?crn=03041661) CRN: 03041661 • M33 4DX | 221 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=03041661) |
| 28 | [WALMSLEY & CO ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=03010218) CRN: 03010218 • M33 4DX | 221 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=03010218) |
| 29 | [NEW MILLENNIA BUREAU AND BACK OFFICE LIMITED](https://regulex.uk/practice/dashboard?crn=12325430) CRN: 12325430 • M3 4LZ | 206 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12325430) |
| 30 | [SEDULO LIMITED](https://regulex.uk/practice/dashboard?crn=05364393) CRN: 05364393 • M3 4LZ | 206 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=05364393) |
| 31 | [TREE GROWTH LIMITED](https://regulex.uk/practice/dashboard?crn=08491773) CRN: 08491773 • M3 4LZ | 206 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08491773) |
| 32 | [TREE ACCOUNTANCY LIMITED](https://regulex.uk/practice/dashboard?crn=06869544) CRN: 06869544 • M3 4LZ | 206 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=06869544) |
| 33 | [BRACKMAN WOLFE & COMPANY LIMITED](https://regulex.uk/practice/dashboard?crn=03103220) CRN: 03103220 • M33 6WT | 204 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=03103220) |
| 34 | [BWP INSPIRE LIMITED](https://regulex.uk/practice/dashboard?crn=11679472) CRN: 11679472 • M33 6WT | 204 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11679472) |
| 35 | [ACCOUNTANCY ANYWHERE LIMITED](https://regulex.uk/practice/dashboard?crn=08754214) CRN: 08754214 • M33 3HP | 198 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08754214) |
| 36 | [ARMITT & COMPANY LIMITED](https://regulex.uk/practice/dashboard?crn=06272442) CRN: 06272442 • M33 3HP | 198 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=06272442) |
| 37 | [POMEGRANATE CONSULTING LIMITED](https://regulex.uk/practice/dashboard?crn=08105664) CRN: 08105664 • M3 3EB | 187 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08105664) |
| 38 | [POMEGRANATE ACCOUNTANCY LIMITED](https://regulex.uk/practice/dashboard?crn=14604431) CRN: 14604431 • M3 3EB | 187 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14604431) |
| 39 | [THOMAS & CO INTERNATIONAL LIMITED](https://regulex.uk/practice/dashboard?crn=13474030) CRN: 13474030 • M3 3EB | 187 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13474030) |
| 40 | [SRT ACCOUNTING SERVICES LTD](https://regulex.uk/practice/dashboard?crn=08874730) CRN: 08874730 • M35 9BG | 171 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08874730) |
| 41 | [STRATHMORE ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=06364294) CRN: 06364294 • M35 9BG | 171 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=06364294) |
| 42 | [STRATHMORE AUDIT LIMITED](https://regulex.uk/practice/dashboard?crn=06364303) CRN: 06364303 • M35 9BG | 171 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=06364303) |
| 43 | [BHANDARI & CO. (ACCOUNTANTS) LIMITED](https://regulex.uk/practice/dashboard?crn=07273467) CRN: 07273467 • M3 1HE | 170 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07273467) |
| 44 | [DIGITAL HQ LIMITED](https://regulex.uk/practice/dashboard?crn=14447645) CRN: 14447645 • M3 1HE | 170 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14447645) |
| 45 | [ENVYTAX LIMITED](https://regulex.uk/practice/dashboard?crn=15510177) CRN: 15510177 • M3 1HE | 170 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15510177) |
| 46 | [M. SALIM & CO LTD](https://regulex.uk/practice/dashboard?crn=11955573) CRN: 11955573 • M3 1HE | 170 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11955573) |
| 47 | [MANCHESTER BOOK-KEEPING SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=05221893) CRN: 05221893 • M3 1HE | 170 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=05221893) |
| 48 | [MANCHESTER PAYROLL SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=08202588) CRN: 08202588 • M3 1HE | 170 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08202588) |
| 49 | [MANCHESTER PAYROLL SOLUTIONS LIMITED](https://regulex.uk/practice/dashboard?crn=08952254) CRN: 08952254 • M3 1HE | 170 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08952254) |
| 50 | [MANCHESTER PBS LTD](https://regulex.uk/practice/dashboard?crn=17055230) CRN: 17055230 • M3 1HE | 170 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=17055230) |

### Key Commercial Postcode Clusters

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://regulex.uk/directory/postcode/M3](https://regulex.uk/directory/postcode/M3).
